Package com.orchestranetworks.instance

# Class RepositoryId

java.lang.Object
com.orchestranetworks.instance.RepositoryId

public final class RepositoryId extends Object
Identifies a repository in a persistent manner.

This identifier is independent of the repository's physical location and format.

The repository id conforms to the format of a UUID node, as specified by RFC 4122. it is 48 bits (6 bytes) and is usually represented as 12 hexadecimal digits.

See Also:
  - `Repository`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `LENGTH`
  Repository identifier length.
  `static final String`
  `PATTERN`
  Repository identifier string pattern.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkValidity()`
  `static RepositoryId`
  `createRandomly()`
  `boolean`
  `equals(Object x)`
  `String`
  `formatToHexString()`
  `long`
  `getLong()`
  `int`
  `hashCode()`
  `static RepositoryId`
  `parseHexString(String aString)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### LENGTH

    public static final int LENGTH
    Repository identifier length.
    See Also:
      - Constant Field Values

  - ### PATTERN

    public static final String PATTERN
    Repository identifier string pattern.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### createRandomly

    public static RepositoryId createRandomly()

  - ### parseHexString

    public static RepositoryId parseHexString(String aString) throws NumberFormatException
    Throws:
      `NumberFormatException`

  - ### equals

    public boolean equals(Object x)
    Overrides:
      `equals` in class `Object`

  - ### formatToHexString

    public String formatToHexString()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getLong

    public long getLong()

  - ### checkValidity

    public void checkValidity() throws RuntimeException
    Throws:
      `RuntimeException`